Skip to main content
GET
/
api
/
v1
/
connectoraccounts
/
bank-accounts
Konnektör banka hesaplarını listele
curl --request GET \
  --url https://transfer-sandbox.payven.com.tr/api/v1/connectoraccounts/bank-accounts \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "is_success": true,
  "code": "<string>",
  "data": {
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "account_label": "<string>",
        "bank_name": "<string>",
        "bank_code": "<string>",
        "bank_logo": "<string>",
        "iban": "<string>",
        "account_number": "<string>",
        "branch_code": "<string>",
        "branch_name": "<string>",
        "status": "<string>",
        "is_default": true,
        "is_auto_routing_enabled": true,
        "daily_limit": 123,
        "monthly_limit": 123,
        "transaction_limit": 123,
        "transfer_types": {
          "havale": {
            "enabled": true,
            "fee": 123
          },
          "eft": {
            "enabled": true,
            "fee": 123
          },
          "fast": {
            "enabled": true,
            "fee": 123,
            "max_amount": 123
          },
          "credit_card": {
            "enabled": true,
            "fee": 123
          }
        },
        "low_balance_alert": {
          "enabled": true,
          "threshold": 123
        },
        "account_purpose": "<string>",
        "notes": "<string>",
        "current_balance": 123,
        "usage_percentage": 123,
        "last_transaction_date": "2023-11-07T05:31:56Z",
        "transaction_count": 123,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "created_by": "<string>",
        "connector_name": "<string>",
        "connector_code": "<string>",
        "connector_configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "connector_configuration_name": "<string>"
      }
    ],
    "page": 123,
    "total_pages": 123,
    "total_count": 123,
    "has_previous_page": true,
    "has_next_page": true
  }
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Query Parameters

page
integer<int32>
page_size
integer<int32>
status
string[]
bank_code
string[]
account_purpose
string[]
is_default
boolean
is_auto_routing_enabled
boolean
transfer_type
string[]
min_balance
number<double>
max_balance
number<double>
min_daily_limit
number<double>
max_daily_limit
number<double>
connector_configuration_id
string<uuid>
sort_by
string
sort_order
string

Response

OK

message
string | null
is_success
boolean
code
string | null
data
object